#ifndef PPSSUMM_CAT_SUMMARY
#define PPSSUMM_CAT_SUMMARY

#include <string>
#include <fstream>

bool catSummaryExists( const char* );
void blankCatSummary( const char* );

class CatPage
{
    public:
    CatPage( std::string f="" ) : _name( f )
    { }

    friend ostream& operator<<( ostream& os , const CatPage& cp )
    {
	os << "<p class=\"noprod\">No ACDS Cross-Correlation Products were produced.</p>"
	   << "<hr />"
	;
	return os;
    }

    private:
    std::string _name;


};

#endif
