#ifndef PPSSUMM_RGSORDER
#define PPSSUMM_RGSORDER

#include <string>
#include <cstdlib>
#include "BaseInteger.h"

class Rgsorder : public BaseInteger<int16>
{
    public:
    Rgsorder() : BaseInteger<int16>(0) { }
    Rgsorder( const int16& s ) : BaseInteger<int16>(s) {  }
    Rgsorder( const char* s ) : BaseInteger<int16>( static_cast<int16>( strtol( s , '\0' , 10 ) ) ) {  }
    Rgsorder( const std::string& s ) :  BaseInteger<int16>( static_cast<int16>( strtol( s.c_str() , '\0' , 10 ) ) ) {  }

    Rgsorder operator=(const char* s)
    {
        this->set( static_cast<int16>( strtol( s , '\0' , 10 ) ) );
        return *this;
    }
    Rgsorder operator=(const std::string& s)
    { 
        this->set( static_cast<int16>( strtol( s.c_str() , '\0' , 10 ) ) );
        return *this;
    }
};

#endif
