#ifndef PPSSUMM_MAPALGO
#define PPSSUMM_MAPALGO

#include <string>
#include <sstream>
#include "Filename_typedef.h"
#include "Filename.h"
#include "Instrument.h"
#include "Src_num.h"
#include "Osw_id.h"

namespace ppssumm_internal
{

std::string makekey( const Instrument& , const Exp_id& , const Src_num& );
std::string makekey( const Instrument& , const Exp_id& , const Osw_id&  );
std::string makekey( const Instrument& , const Exp_id& , const Osw_id&  , const Src_num&  );
std::string makekey( const Instrument& , const Exp_id& );

std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Src_num&   );
std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Osw_id&  );
std::string makekey(  const Filename& , const Instrument& , const Exp_id& , const Osw_id& , const Src_num&  );
std::string makekey( const Filename& , const Instrument& , const Exp_id& );


}
#endif
